%bcond_with base_python

%define python_build_version 3.9
%define __python %{_bindir}/python%{python_build_version}

%if %{with base_python}
%define python_suffix %{expand:%%{lua: str='%{python_build_version}'; print(str:sub(1, 1))}}
%else
%define python_suffix %{expand:%%{lua: str='%{python_build_version}'; print(str:sub(1, 1) .. str:sub(3,-1))}}
%endif

%define pypi_name itoolkit

Name: python%{python_suffix}-%{pypi_name}
Version: 1.7.0
Release: 1
License: MIT
Summary: IBM i toolkit for Python
Url:  https://github.com/IBM/python-itoolkit

Source0: https://files.pythonhosted.org/packages/source/i/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

BuildRequires: python%{python_suffix}-devel
BuildRequires: python%{python_suffix}-pip
BuildRequires: python%{python_suffix}-six

Requires: python%{python_suffix}-six

%description
IBM i toolkit for Python

%prep
%setup -q -n %{pypi_name}-%{version}

%build
%py_build_wheel

%install
%py_install_wheel %{pypi_name}-%{version}-py3-none-any.whl

%files
%defattr(-, qsys, *none)

%{python_sitelib}/itoolkit*

%changelog
* Wed Jul 07 2021 Kevin Adler <kadler@us.ibm.com> - 1.7.0
- Update to 1.7.0
- Add six to build requirements

* Tue Jun 22 2021 Kevin Adler <kadler@us.ibm.com> - 1.6.1
- Port to Python 3.9
- Use macros from python-rpm-macros

* Tue May 28 2019 Kevin Adler <kadler@us.ibm.com>
- Update to 1.6.1 to fix old transport errors

* Thu May 09 2019 Kevin Adler <kadler@us.ibm.com>
- Update to 1.6.0

* Thu Jan 03 2019 - Kevin Adler <kadler@us.ibm.com>
- Ensure necessary dependencies listed
- Clean up build requires
- Use SPDX license

* Sun Aug 05 2018 - Kevin Adler <kadler@us.ibm.com>
- Set INSTALLER to be "rpm" instead of "pip"
- Add --no-index to pip, to prevent accessing the internet

* Thu Aug 02 2018 - Kevin Adler <kadler@us.ibm.com>
- Remove redundant setuptools and wheel build requirements

* Thu Aug 02 2018 - Kevin Adler <kadler@us.ibm.com>
- Update to 1.5.1 for debug print fix

* Mon Jul 16 2018 - Kevin Adler <kadler@us.ibm.com>
- Update to 1.5.0

* Thu Jul 05 2018 - Kevin Adler <kadler@us.ibm.com>
- Add missing python%{python_suffix}-devel BuildRequires

* Thu Jul 05 2018 - Kevin Adler <kadler@us.ibm.com>
- Fix ibm_db and itoolkit descriptions and licenses

* Fri Jan 19 2018 - Kevin Adler <kadler@us.ibm.com>
- Bump to 1.4.0

* Tue Nov 07 2017 - Kevin Adler <kadler@us.ibm.com>
- Add itoolkit python3 package
